net.corda.node.services.messaging

## Class RPCServerStructures

- net.corda.node.services.messaging.RPCServerStructures

-     public class RPCServerStructures

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `requirePermission(java.lang.String permission)` Helper method which checks that the current RPC user is entitled for the given permission. Throws a PermissionException otherwise.

- - ### Method Detail

    - #### requirePermission

          public static void requirePermission(java.lang.String permission)

      Helper method which checks that the current RPC user is entitled for the given permission. Throws a PermissionException otherwise.